Skip to main content
PATCH
/
v2
/
security
/
projects
/
{project_id}
/
vulnerabilities
/
{vuln_type_id}
Update Project Vulnerability
curl --request PATCH \
  --url https://api.valiqor.com/v2/security/projects/{project_id}/vulnerabilities/{vuln_type_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "visible_in_ui": true,
  "custom_name": "<string>",
  "severity": "<string>",
  "alert_on_detection": true
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

project_id
string
required
vuln_type_id
string
required

Body

application/json

Update vulnerability type settings

enabled
boolean | null
visible_in_ui
boolean | null
custom_name
string | null
severity
string | null
alert_on_detection
boolean | null

Response

Successful Response